diff --git a/utility/registry_ini.c b/utility/registry_ini.c
index 39bb10ff47..3ab1846ed6 100644
--- a/utility/registry_ini.c
+++ b/utility/registry_ini.c
@@ -2479,13 +2484,13 @@ bool secfile_lookup_bitwise_enum_full(const struct section_file *secfile,
     }
     *penumerator |= val;
     str = p;
-  } while (NULL != p);
+  } while (p != nullptr);
 
   return TRUE;
 }
 
 /**********************************************************************//**
-  Lookup an enumerator value in the secfile.  Returns 'defval' on error.
+  Lookup an enumerator value in the secfile. Returns 'defval' on error.
 **************************************************************************/
 int secfile_lookup_bitwise_enum_default_full(const struct section_file
                                              *secfile, int defval,
@@ -2502,9 +2507,9 @@ int secfile_lookup_bitwise_enum_default_full(const struct section_file
   int val, full_val;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, defval);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != is_valid_fn, defval);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != by_name_fn, defval);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, defval);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, is_valid_fn != nullptr, defval);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, by_name_fn != nullptr, defval);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -2527,7 +2532,7 @@ int secfile_lookup_bitwise_enum_default_full(const struct section_file
   full_val = 0;
   do {
     p = strchr(str, '|');
-    if (NULL != p) {
+    if (p != nullptr) {
       p++;
       fc_strlcpy(val_name, str, p - str);
     } else {
@@ -2541,15 +2546,15 @@ int secfile_lookup_bitwise_enum_default_full(const struct section_file
     }
     full_val |= val;
     str = p;
-  } while (NULL != p);
+  } while (p != nullptr);
 
   return full_val;
 }
 
 /**********************************************************************//**
-  Lookup a enumerator vector in the secfile.  Returns NULL on error.  This
-  vector is not owned by the registry module, and should be free by the
-  user.
+  Lookup a enumerator vector in the secfile. Returns nullptr on error.
+  This vector is not owned by the registry module, and should be freed
+  by the user.
 **************************************************************************/
 int *secfile_lookup_bitwise_enum_vec_full(const struct section_file *secfile,
                                           size_t *dim,
@@ -2564,25 +2569,25 @@ int *secfile_lookup_bitwise_enum_vec_full(const struct section_file *secfile,
   int *vec;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != dim, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != is_valid_fn, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != by_name_fn, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, dim != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, is_valid_fn != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, by_name_fn != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   /* Check size. */
-  while (NULL != secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i)) {
+  while (secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i) != nullptr) {
     i++;
   }
   *dim = i;
 
   if (0 == i) {
     /* Doesn't exist. */
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
-    return NULL;
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
+    return nullptr;
   }
 
   vec = fc_malloc(i * sizeof(int));
@@ -2590,13 +2595,13 @@ int *secfile_lookup_bitwise_enum_vec_full(const struct section_file *secfile,
     if (!secfile_lookup_bitwise_enum_full(secfile, vec + i, is_valid_fn,
                                           by_name_fn, "%s,%d",
                                           fullpath, (int) i)) {
-      SECFILE_LOG(secfile, NULL,
+      SECFILE_LOG(secfile, nullptr,
                   "An error occurred when looking up to \"%s,%d\" entry.",
                   fullpath, (int) i);
       free(vec);
       *dim = 0;
 
-      return NULL;
+      return nullptr;
     }
   }
 
@@ -2604,7 +2609,7 @@ int *secfile_lookup_bitwise_enum_vec_full(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a value saved as string in the secfile.  Returns FALSE on error.
+  Lookup a value saved as string in the secfile. Returns FALSE on error.
 **************************************************************************/
 bool secfile_lookup_enum_data(const struct section_file *secfile,
                               int *pvalue, bool bitwise,
@@ -2618,16 +2623,16 @@ bool secfile_lookup_enum_data(const struct section_file *secfile,
   int val;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, FALSE);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != pvalue, FALSE);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != name_fn, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, pvalue != nullptr, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, name_fn != nullptr, FALSE);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   if (!(pentry = secfile_entry_by_path(secfile, fullpath))) {
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
     return FALSE;
   }
 
@@ -2645,7 +2650,7 @@ bool secfile_lookup_enum_data(const struct section_file *secfile,
     /* Value names are separated by '|'. */
     do {
       p = strchr(str, '|');
-      if (NULL != p) {
+      if (p != nullptr) {
         p++;
         fc_strlcpy(val_name, str, p - str);
       } else {
@@ -2658,7 +2663,7 @@ bool secfile_lookup_enum_data(const struct section_file *secfile,
           break;
         }
       }
-      if (NULL == name) {
+      if (name == nullptr) {
         SECFILE_LOG(secfile, entry_section(pentry),
                     "Entry \"%s\": no match for \"%s\".",
                     entry_name(pentry), val_name);
@@ -2666,7 +2671,7 @@ bool secfile_lookup_enum_data(const struct section_file *secfile,
       }
       *pvalue |= 1 << val;
       str = p;
-    } while (NULL != p);
+    } while (p != nullptr);
   } else {
     for (val = 0; (name = name_fn(data, val)); val++) {
       if (0 == fc_strcasecmp(name, str)) {
@@ -2674,7 +2679,7 @@ bool secfile_lookup_enum_data(const struct section_file *secfile,
         break;
       }
     }
-    if (NULL == name) {
+    if (name == nullptr) {
       SECFILE_LOG(secfile, entry_section(pentry),
                   "Entry \"%s\": no match for \"%s\".",
                   entry_name(pentry), str);
@@ -2686,7 +2691,7 @@ bool secfile_lookup_enum_data(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a value saved as string in the secfile.  Returns 'defval' on error.
+  Lookup a value saved as string in the secfile. Returns 'defval' on error.
 **************************************************************************/
 int secfile_lookup_enum_default_data(const struct section_file *secfile,
                                      int defval, bool bitwise,
@@ -2701,15 +2706,15 @@ int secfile_lookup_enum_default_data(const struct section_file *secfile,
   int value, val;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, defval);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != name_fn, defval);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, defval);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, name_fn != nullptr, defval);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   if (!(pentry = secfile_entry_by_path(secfile, fullpath))) {
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
     return defval;
   }
 
@@ -2727,7 +2732,7 @@ int secfile_lookup_enum_default_data(const struct section_file *secfile,
     /* Value names are separated by '|'. */
     do {
       p = strchr(str, '|');
-      if (NULL != p) {
+      if (p != nullptr) {
         p++;
         fc_strlcpy(val_name, str, p - str);
       } else {
@@ -2740,7 +2745,7 @@ int secfile_lookup_enum_default_data(const struct section_file *secfile,
           break;
         }
       }
-      if (NULL == name) {
+      if (name == nullptr) {
         SECFILE_LOG(secfile, entry_section(pentry),
                     "Entry \"%s\": no match for \"%s\".",
                     entry_name(pentry), val_name);
@@ -2748,7 +2753,7 @@ int secfile_lookup_enum_default_data(const struct section_file *secfile,
       }
       value |= 1 << val;
       str = p;
-    } while (NULL != p);
+    } while (p != nullptr);
   } else {
     for (val = 0; (name = name_fn(data, val)); val++) {
       if (0 == strcmp(name, str)) {
@@ -2756,7 +2761,7 @@ int secfile_lookup_enum_default_data(const struct section_file *secfile,
         break;
       }
     }
-    if (NULL == name) {
+    if (name == nullptr) {
       SECFILE_LOG(secfile, entry_section(pentry),
                   "Entry \"%s\": no match for \"%s\".",
                   entry_name(pentry), str);
@@ -2768,8 +2773,8 @@ int secfile_lookup_enum_default_data(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Lookup a vector in the secfile.  Returns NULL on error.  This vector
-  is not owned by the registry module, and should be free by the user.
+  Lookup a vector in the secfile. Returns nullptr on error. This vector
+  is not owned by the registry module, and should be freed by the user.
 **************************************************************************/
 int *secfile_lookup_enum_vec_data(const struct section_file *secfile,
                                   size_t *dim, bool bitwise,
@@ -2781,36 +2786,37 @@ int *secfile_lookup_enum_vec_data(const struct section_file *secfile,
   int *vec;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != dim, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != name_fn, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, dim != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, name_fn != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
   /* Check size. */
-  while (NULL != secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i)) {
+  while (secfile_entry_lookup(secfile, "%s,%d", fullpath, (int) i) != nullptr) {
     i++;
   }
   *dim = i;
 
   if (0 == i) {
     /* Doesn't exist. */
-    SECFILE_LOG(secfile, NULL, "\"%s\" entry doesn't exist.", fullpath);
-    return NULL;
+    SECFILE_LOG(secfile, nullptr, "\"%s\" entry doesn't exist.", fullpath);
+    return nullptr;
   }
 
   vec = fc_malloc(i * sizeof(int));
   for (i = 0; i < *dim; i++) {
     if (!secfile_lookup_enum_data(secfile, vec + i, bitwise, name_fn, data,
                                   "%s,%d", fullpath, (int) i)) {
-      SECFILE_LOG(secfile, NULL,
+      SECFILE_LOG(secfile, nullptr,
                   "An error occurred when looking up to \"%s,%d\" entry.",
                   fullpath, (int) i);
       free(vec);
       *dim = 0;
-      return NULL;
+
+      return nullptr;
     }
   }
 
@@ -2823,7 +2829,7 @@ int *secfile_lookup_enum_vec_data(const struct section_file *secfile,
 struct section *secfile_section_by_name(const struct section_file *secfile,
                                         const char *name)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   section_list_iterate(secfile->sections, psection) {
     if (0 == strcmp(section_name(psection), name)) {
@@ -2831,7 +2837,7 @@ struct section *secfile_section_by_name(const struct section_file *secfile,
     }
   } section_list_iterate_end;
 
-  return NULL;
+  return nullptr;
 }
 
 /**********************************************************************//**
@@ -2843,7 +2849,7 @@ struct section *secfile_section_lookup(const struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH];
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -2853,17 +2859,17 @@ struct section *secfile_section_lookup(const struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Returns the list of sections.  This list is owned by the registry module
+  Returns the list of sections. This list is owned by the registry module
   and shouldn't be modified and destroyed.
 **************************************************************************/
 const struct section_list *
 secfile_sections(const struct section_file *secfile)
 {
-  return (NULL != secfile ? secfile->sections : NULL);
+  return (secfile != nullptr ? secfile->sections : nullptr);
 }
 
 /**********************************************************************//**
-  Returns the list of sections which match the name prefix. Returns NULL
+  Returns the list of sections which match the name prefix. Returns nullptr
   if no section was found. This list is not owned by the registry module
   and the user must destroy it when they finished working with it.
 **************************************************************************/
@@ -2871,20 +2877,20 @@ struct section_list *
 secfile_sections_by_name_prefix(const struct section_file *secfile,
                                 const char *prefix)
 {
-  struct section_list *matches = NULL;
+  struct section_list *matches = nullptr;
   size_t len;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != prefix, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, prefix != nullptr, nullptr);
 
   len = strlen(prefix);
   if (0 == len) {
-    return NULL;
+    return nullptr;
   }
 
   section_list_iterate(secfile->sections, psection) {
     if (!fc_strncmp(section_name(psection), prefix, len)) {
-      if (NULL == matches) {
+      if (matches == nullptr) {
         matches = section_list_new();
       }
       section_list_append(matches, psection);
@@ -2902,8 +2908,8 @@ bool secfile_section_prefix_present(const struct section_file *secfile,
 {
   size_t len;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, FALSE);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != prefix, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, prefix != nullptr, FALSE);
 
   len = strlen(prefix);
   if (0 == len) {
@@ -2927,24 +2933,24 @@ struct section *secfile_section_new(struct section_file *secfile,
 {
   struct section *psection;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
-  if (NULL == name || '\0' == name[0]) {
-    SECFILE_LOG(secfile, NULL, "Cannot create a section without name.");
-    return NULL;
+  if (name == nullptr || '\0' == name[0]) {
+    SECFILE_LOG(secfile, nullptr, "Cannot create a section without name.");
+    return nullptr;
   }
 
   if (!is_secfile_entry_name_valid(name)) {
-    SECFILE_LOG(secfile, NULL, "\"%s\" is not a valid section name.",
+    SECFILE_LOG(secfile, nullptr, "\"%s\" is not a valid section name.",
                 name);
-    return NULL;
+    return nullptr;
   }
 
-  if (NULL != secfile_section_by_name(secfile, name)) {
+  if (secfile_section_by_name(secfile, name) != nullptr) {
     /* We cannot duplicate sections in any case! Not even if one is
      * include -section and the other not. */
-    SECFILE_LOG(secfile, NULL, "Section \"%s\" already exists.", name);
-    return NULL;
+    SECFILE_LOG(secfile, nullptr, "Section \"%s\" already exists.", name);
+    return nullptr;
   }
 
   psection = fc_malloc(sizeof(struct section));
@@ -2956,7 +2962,7 @@ struct section *secfile_section_new(struct section_file *secfile,
   psection->secfile = secfile;
   section_list_append(secfile->sections, psection);
 
-  if (NULL != secfile->hash.sections) {
+  if (secfile->hash.sections != nullptr) {
     section_hash_insert(secfile->hash.sections, psection->name, psection);
   }
 
@@ -2970,7 +2976,7 @@ void section_destroy(struct section *psection)
 {
   struct section_file *secfile;
 
-  SECFILE_RETURN_IF_FAIL(NULL, psection, NULL != psection);
+  SECFILE_RETURN_IF_FAIL(nullptr, psection, psection != nullptr);
 
   section_clear_all(psection);
 
@@ -2980,7 +2986,7 @@ void section_destroy(struct section *psection)
       /* This has called section_destroy() already then. */
       return;
     }
-    if (NULL != secfile->hash.sections) {
+    if (secfile->hash.sections != nullptr) {
       section_hash_remove(secfile->hash.sections, psection->name);
     }
   }
@@ -2995,7 +3001,7 @@ void section_destroy(struct section *psection)
 **************************************************************************/
 void section_clear_all(struct section *psection)
 {
-  SECFILE_RETURN_IF_FAIL(NULL, psection, NULL != psection);
+  SECFILE_RETURN_IF_FAIL(nullptr, psection, psection != nullptr);
 
   /* This include the removing of the hash datas. */
   entry_list_clear(psection->entries);
@@ -3015,11 +3021,11 @@ bool section_set_name(struct section *psection, const char *name)
   struct section_file *secfile;
   struct section *pother;
 
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, psection, NULL != psection, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, psection, psection != nullptr, FALSE);
   secfile = psection->secfile;
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, psection, NULL != secfile, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, psection, secfile != nullptr, FALSE);
 
-  if (NULL == name || '\0' == name[0]) {
+  if (name == nullptr || '\0' == name[0]) {
     SECFILE_LOG(secfile, psection, "No new name for section \"%s\".",
                 psection->name);
     return FALSE;
@@ -3040,10 +3046,10 @@ bool section_set_name(struct section *psection, const char *name)
   }
 
   /* Remove old references in the hash tables. */
-  if (NULL != secfile->hash.sections) {
+  if (secfile->hash.sections != nullptr) {
     section_hash_remove(secfile->hash.sections, psection->name);
   }
-  if (NULL != secfile->hash.entries) {
+  if (secfile->hash.entries != nullptr) {
     entry_list_iterate(psection->entries, pentry) {
       secfile_hash_delete(secfile, pentry);
     } entry_list_iterate_end;
@@ -3054,10 +3060,10 @@ bool section_set_name(struct section *psection, const char *name)
   psection->name = fc_strdup(name);
 
   /* Reinsert new references into the hash tables. */
-  if (NULL != secfile->hash.sections) {
+  if (secfile->hash.sections != nullptr) {
     section_hash_insert(secfile->hash.sections, psection->name, psection);
   }
-  if (NULL != secfile->hash.entries) {
+  if (secfile->hash.entries != nullptr) {
     entry_list_iterate(psection->entries, pentry) {
       secfile_hash_insert(secfile, pentry);
     } entry_list_iterate_end;
@@ -3067,12 +3073,12 @@ bool section_set_name(struct section *psection, const char *name)
 }
 
 /**********************************************************************//**
-  Returns a list containing all the entries.  This list is owned by the
+  Returns a list containing all the entries. This list is owned by the
   secfile, so don't modify or destroy it.
 **************************************************************************/
 const struct entry_list *section_entries(const struct section *psection)
 {
-  return (NULL != psection ? psection->entries : NULL);
+  return (psection != nullptr ? psection->entries : nullptr);
 }
 
 /**********************************************************************//**
@@ -3081,7 +3087,7 @@ const struct entry_list *section_entries(const struct section *psection)
 struct entry *section_entry_by_name(const struct section *psection,
                                     const char *name)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, psection, NULL != psection, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, psection, psection != nullptr, nullptr);
 
   entry_list_iterate(psection->entries, pentry) {
     if (0 == strcmp(entry_name(pentry), name)) {
@@ -3090,7 +3096,7 @@ struct entry *section_entry_by_name(const struct section *psection,
     }
   } entry_list_iterate_end;
 
-  return NULL;
+  return nullptr;
 }
 
 /**********************************************************************//**
@@ -3103,7 +3109,7 @@ struct entry *section_entry_lookup(const struct section *psection,
   struct entry *pentry;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, psection, NULL != psection, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, psection, psection != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -3120,7 +3126,7 @@ struct entry *section_entry_lookup(const struct section *psection,
     return pentry;
   }
 
-  return NULL;
+  return nullptr;
 }
 
 /**********************************************************************//**
@@ -3132,35 +3138,35 @@ static struct entry *entry_new(struct section *psection, const char *name)
   struct entry *pentry;
   bool long_comment = !strcmp("#", name);
 
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, psection, NULL != psection, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, psection, psection != nullptr, nullptr);
 
   secfile = psection->secfile;
-  if (NULL == name || '\0' == name[0]) {
+  if (name == nullptr || '\0' == name[0]) {
     SECFILE_LOG(secfile, psection, "Cannot create an entry without name.");
-    return NULL;
+    return nullptr;
   }
 
   if (!is_secfile_entry_name_valid(name) && !long_comment) {
     SECFILE_LOG(secfile, psection, "\"%s\" is not a valid entry name.",
                 name);
-    return NULL;
+    return nullptr;
   }
 
   if (!secfile->allow_duplicates
-      && NULL != section_entry_by_name(psection, name)) {
+      && section_entry_by_name(psection, name) != nullptr) {
     SECFILE_LOG(secfile, psection, "Entry \"%s\" already exists.", name);
-    return NULL;
+    return nullptr;
   }
 
   pentry = fc_malloc(sizeof(struct entry));
   if (long_comment) {
-    pentry->name = NULL;
+    pentry->name = nullptr;
   } else {
     pentry->name = fc_strdup(name);
   }
   pentry->type = -1;    /* Invalid case. */
   pentry->used = 0;
-  pentry->comment = NULL;
+  pentry->comment = nullptr;
 
   /* Append to section. */
   pentry->psection = psection;
@@ -3181,7 +3187,7 @@ struct entry *section_entry_int_new(struct section *psection,
 {
   struct entry *pentry = entry_new(psection, name);
 
-  if (NULL != pentry) {
+  if (pentry != nullptr) {
     pentry->type = ENTRY_INT;
     pentry->integer.value = value;
   }
@@ -3197,7 +3203,7 @@ struct entry *section_entry_bool_new(struct section *psection,
 {
   struct entry *pentry = entry_new(psection, name);
 
-  if (NULL != pentry) {
+  if (pentry != nullptr) {
     pentry->type = ENTRY_BOOL;
     pentry->boolean.value = value;
   }
@@ -3213,7 +3219,7 @@ struct entry *section_entry_float_new(struct section *psection,
 {
   struct entry *pentry = entry_new(psection, name);
 
-  if (NULL != pentry) {
+  if (pentry != nullptr) {
     pentry->type = ENTRY_FLOAT;
     pentry->floating.value = value;
   }
@@ -3230,9 +3236,9 @@ struct entry *section_entry_str_new(struct section *psection,
 {
   struct entry *pentry = entry_new(psection, name);
 
-  if (NULL != pentry) {
+  if (pentry != nullptr) {
     pentry->type = ENTRY_STR;
-    pentry->string.value = fc_strdup(NULL != value ? value : "");
+    pentry->string.value = fc_strdup(value != nullptr ? value : "");
     pentry->string.escaped = escaped;
     pentry->string.raw = FALSE;
     pentry->string.gt_marking = FALSE;
@@ -3250,9 +3256,9 @@ static struct entry *section_entry_filereference_new(struct section *psection,
 {
   struct entry *pentry = entry_new(psection, name);
 
-  if (NULL != pentry) {
+  if (pentry != nullptr) {
     pentry->type = ENTRY_FILEREFERENCE;
-    pentry->string.value = fc_strdup(NULL != value ? value : "");
+    pentry->string.value = fc_strdup(value != nullptr ? value : "");
   }
 
   return pentry;
@@ -3266,9 +3272,9 @@ static struct entry *section_entry_comment_new(struct section *psection,
 {
   struct entry *pentry = entry_new(psection, "#");
 
-  if (NULL != pentry) {
+  if (pentry != nullptr) {
     pentry->type = ENTRY_LONG_COMMENT;
-    pentry->comment = fc_strdup(NULL != comment ? comment : "");
+    pentry->comment = fc_strdup(comment != nullptr ? comment : "");
   }
 
   return pentry;
@@ -3282,7 +3288,7 @@ void entry_destroy(struct entry *pentry)
   struct section_file *secfile;
   struct section *psection;
 
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     return;
   }
 
@@ -3319,7 +3325,7 @@ void entry_destroy(struct entry *pentry)
 
   /* Common free. */
   free(pentry->name);
-  if (NULL != pentry->comment) {
+  if (pentry->comment != nullptr) {
     free(pentry->comment);
   }
   free(pentry);
@@ -3330,7 +3336,7 @@ void entry_destroy(struct entry *pentry)
 **************************************************************************/
 struct section *entry_section(const struct entry *pentry)
 {
-  return (NULL != pentry ? pentry->psection : NULL);
+  return (pentry != nullptr ? pentry->psection : nullptr);
 }
 
 /**********************************************************************//**
@@ -3338,7 +3344,7 @@ struct section *entry_section(const struct entry *pentry)
 **************************************************************************/
 enum entry_type entry_type_get(const struct entry *pentry)
 {
-  return (NULL != pentry ? pentry->type : ENTRY_ILLEGAL);
+  return (pentry != nullptr ? pentry->type : ENTRY_ILLEGAL);
 }
 
 /**********************************************************************//**
@@ -3356,24 +3362,24 @@ int entry_path(const struct entry *pentry, char *buf, size_t buf_len)
 **************************************************************************/
 const char *entry_name(const struct entry *pentry)
 {
-  return (NULL != pentry ? pentry->name : NULL);
+  return (pentry != nullptr ? pentry->name : nullptr);
 }
 
 /**********************************************************************//**
-  Sets the name of the entry.  Returns TRUE on success.
+  Sets the name of the entry. Returns TRUE on success.
 **************************************************************************/
 bool entry_set_name(struct entry *pentry, const char *name)
 {
   struct section *psection;
   struct section_file *secfile;
 
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   psection = pentry->psection;
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != psection, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, psection != nullptr, FALSE);
   secfile = psection->secfile;
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, psection, NULL != secfile, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, psection, secfile != nullptr, FALSE);
 
-  if (NULL == name || '\0' == name[0]) {
+  if (name == nullptr || '\0' == name[0]) {
     SECFILE_LOG(secfile, psection, "No new name for entry \"%s\".",
                 pentry->name);
     return FALSE;
@@ -3389,7 +3395,7 @@ bool entry_set_name(struct entry *pentry, const char *name)
   if (!secfile->allow_duplicates) {
     struct entry *pother = section_entry_by_name(psection, name);
 
-    if (NULL != pother && pother != pentry) {
+    if (pother != nullptr && pother != pentry) {
       SECFILE_LOG(secfile, psection, "Entry \"%s\" already exists.", name);
       return FALSE;
     }
@@ -3412,23 +3418,23 @@ bool entry_set_name(struct entry *pentry, const char *name)
 **************************************************************************/
 const char *entry_comment(const struct entry *pentry)
 {
-  return (NULL != pentry ? pentry->comment : NULL);
+  return (pentry != nullptr ? pentry->comment : nullptr);
 }
 
 /**********************************************************************//**
-  Sets a comment for the entry.  Pass NULL to remove the current one.
+  Sets a comment for the entry. Pass nullptr to remove the current one.
 **************************************************************************/
 void entry_set_comment(struct entry *pentry, const char *comment)
 {
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     return;
   }
 
-  if (NULL != pentry->comment) {
+  if (pentry->comment != nullptr) {
     free(pentry->comment);
   }
 
-  pentry->comment = (NULL != comment ? fc_strdup(comment) : NULL);
+  pentry->comment = (comment != nullptr ? fc_strdup(comment) : nullptr);
 }
 
 /**********************************************************************//**
@@ -3453,35 +3459,36 @@ static inline void entry_use(struct entry *pentry)
 **************************************************************************/
 bool entry_bool_get(const struct entry *pentry, bool *value)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
 
   if (ENTRY_INT == pentry->type
       && (pentry->integer.value == 0
           || pentry->integer.value == 1)
-      && NULL != pentry->psection
-      && NULL != pentry->psection->secfile
+      && pentry->psection != nullptr
+      && pentry->psection->secfile != nullptr
       && pentry->psection->secfile->allow_digital_boolean) {
     *value = (0 != pentry->integer.value);
     return TRUE;
   }
 
-  SECFILE_RETURN_VAL_IF_FAIL(pentry->psection != NULL
-                             ? pentry->psection->secfile : NULL,
+  SECFILE_RETURN_VAL_IF_FAIL(pentry->psection != nullptr
+                             ? pentry->psection->secfile : nullptr,
                              pentry->psection,
                              ENTRY_BOOL == pentry->type, FALSE);
 
-  if (NULL != value) {
+  if (value != nullptr) {
     *value = pentry->boolean.value;
   }
+
   return TRUE;
 }
 
 /**********************************************************************//**
-  Sets an boolean value.  Returns TRUE on success.
+  Sets an boolean value. Returns TRUE on success.
 **************************************************************************/
 bool entry_bool_set(struct entry *pentry, bool value)
 {
-  SECFILE_RETURN_VAL_IF_FAIL(NULL, NULL, NULL != pentry, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(nullptr, nullptr, pentry != nullptr, FALSE);
   SECFILE_RETURN_VAL_IF_FAIL(pentry->psection->secfile, pentry->psection,
                              ENTRY_BOOL == pentry->type, FALSE);
 
